% B-spline interpolation
% usage: ynew = Binterp(x,y,xnew)
% example: 
%	x = 0:10; y = sin(x);
%	xnew = 0:0.1:10; ynew = spline(x,y,xspline);
%	plot(x,y,"+",xnew,ynew);

function ynew = Binterp(x,y,xnew)
    [an dx] = bsplinefit(x,y);
    delta = (max(x)-min(x)) / (length(x)-1);

    ynew = 0*xnew;
    for m=1:length(an);
       ynew = ynew + an(m)*bspline(m,xnew,min(x)-dx,delta);
    end

endfunction
