
% load the data file.
global a;
a = load(input('Enter Transverse Profile filename (with quotes):  '));

global place;
global gradient;
place = input('Enter location of profile (0==knee, 1==end) [Default 1]:  ');
if (!isempty(place) && place == 0)
    place = 'knee';
    scaling = 16;
    gradient = 1.7;
else
    place = 'end';
    scaling = 15.75;
    gradient = 2.7;
endif

% shift data 
shift = length(a(:,1))/2.0;
shift = input(sprintf('Enter center location of profile (in x-coord, e.g.  pixels) [Default %d]:  ',shift));
if (isempty(shift))
    shift = length(a(:,1))/2.0;
endif
a(:,1)-=shift;

% scale data 
scaling2 = input(sprintf('Enter pixel scaling (in microns) [Default %g]: ',scaling));
if (!isempty(scaling2))
    scaling = scaling2;
endif
a(:,1)*=scaling;

% get x-range of plot
global x;
x = input ('Enter x-range over which to do plot (microns) [Default -500:500]: ');
if (isempty(x))
    x = -500:500;
endif

% get x-range of fit
xfit = input (sprintf('Enter x-range over which to do fit (MUST <= plot range) [Default %g:%g]: ',min(x),max(x)));
if (isempty(xfit))
    xfit = x;
endif
_dx =  (max(x)-min(x)) / (length(x)-1);
fstart = 1 + floor((min(xfit) - min(x))/ _dx);
fend = fstart + floor((max(xfit) - min(xfit))/ _dx);
xfit_indx = fstart:1:fend;
clear _dx fstart fend xfit;

% create data interpolant
printf('Interpolating data to uniformly spaced intervals\n');
global as;
af = Binterp(a(:,1),a(:,2),x); af /= as = sum(af);

printf('Check to make sure that interpolant is accurate\n');
% plot to inspect interpolation
plot(a(:,1),a(:,2)/as,x,af); pause;



global Trange;
Trange = input('Enter Temperature(s) to compare to (can be array\nwill look in /tmp/ for temperature calculations):  ');

j=1;
chi2 = [0, 0];
for T = Trange
    % load calculated temperature x-axis
    eval(sprintf('a%i = load("/tmp/distrib_%s_%iuK.dat");', T, place, T));

    % scale calculated temperature x-axis
    eval(sprintf('a%i(:,1) *= 1e6;', T));

    % interpolate calculated temperature x-axis
    printf('Interpolating calculated profile for %i uK\n',T);
    eval(sprintf('global a%if;', T));
    eval(sprintf('a%if = Binterp(a%i(:,1),a%i(:,2),x); a%if /= a%is = sum(a%if);', T*ones(1,6)));

    printf('Check to make sure that interpolant is accurate\n');
    eval(sprintf('plot(a(:,1),a(:,2)/as, ''g-;Re-pumper Flourescence;'',a%i(:,1),a%i(:,2)/a%is,x,a%if);',T*ones(1,4)));
    pause;

    % evaluate chi^2
    %eval(sprintf('chi2(j,:) = [%i, sum( (af(xfit_indx) - a%if(xfit_indx)).^2 ./ sqrt(abs(af(xfit_indx))) )];',T,T));
    eval(sprintf('chi2(j,:) = [%i, sum( (af(xfit_indx) - a%if(xfit_indx)).^2  )];',T,T));

    j++;
end


% now let's look at the best fit

gset pointsize 3;
[s i] = sort(chi2);
global temp;
temp = chi2(i(1,2),1);
global ymax;

xlabel('Horizontal Position ({/Symbol m}m)');
function  plot_best()
    global temp;
    global a;
    global as;
    global x;
    global ymax;
    global place;
    global gradient;
    eval(sprintf('global a%if;',temp));

    ymax = eval(sprintf('max(a%if)',temp));
    axis([min(x) max(x) -0.01*ymax 1.1*ymax]);

    graw (sprintf('set label 17 \"Guide %s:\\n{{/Symbol \\266}B}/{/Symbol \\266r} = %g kGauss/cm\" at %g,%g font \"Times-Roman,25\"\n', place, gradient, min(x)+(max(x)-min(x))*0.017, ymax*.99*1.05) );

    plot(a(:,1),a(:,2)/as, 'g-;Re-pumper Flourescence;', ...
         x, eval(sprintf('a%if',temp)), sprintf('r-;%i {/Symbol m}K;',temp));

    printf('Press return for plot for paper presentation.\n');
    pause;


    plot(a(:,1),a(:,2)/as, '99;Re-pumper Flourescence;', ...
         x, eval(sprintf('a%if',temp)), sprintf('r-;%i {/Symbol m}K;',temp));
endfunction

plot_best();

printf('use redo_temp_plots() to cycle throught the tmperature plots again\n');

function redo_temp_plots()
    global Trange;
    global a;
    global as;
    global x;

    for T=Trange
        eval(sprintf('global a%if;',T));
        plot(a(:,1),a(:,2)/as, ...
                    'g-;Re-pumper Flourescence;', ...
             x, eval(sprintf('a%if',T)), ...
                    sprintf('r-;%i {/Symbol m}K;',T));

        pause;
    end
endfunction

