% opens a field file to extract the field
% Note that the field file is formatted to be used as surface plots in gnuplot
% (as long as it is only 2D data)
%
% Usage:
% [] = getfieldfile(filename)
%
function [field fieldcount] = getfieldfile(filename)
    fid = fopen(filename,'r');

    fieldcount = 0;

    while ( isstr(line = fgetl(fid)) || line != -1)
	pound = index(line,'#');
	if (pound != 0)
	    line = substr(line,1,pound);
	endif
	[components count] = sscanf(line, '%f %f %f %f %f %f %f');
	if (count > 0)
	    field(++fieldcount,:) = components';
	endif
    endwhile

    fclose(fid);
end %function
